# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Jul 31 09:56:52 2023
# ------------------------------------------------

package:
  name: perl-app-cpanminus
  version: '1.7047'
source:
  sha256: 963e63c6e1a8725ff2f624e9086396ae150db51dd0a337c3781d09a994af05a5
  url: https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/App-cpanminus-1.7047.tar.gz
build:
  noarch: generic
  number: '0'
  script:
    - perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
    - make
    - make test
    - make install VERBINST=1
  string: pl5321hd8ed1ab_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - make 4.3 hd18ef5c_1
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libnsl 2.0.0 h7f98852_0
    - perl 5.32.1 4_hd590300_perl5
  run:
    - perl >=5.32.1,<6.0a0 *_perl5
test:
  commands:
    - cpanm --help < /dev/null | grep -qF 'Usage'
    - cpanm --version < /dev/null | grep -qF '1.7047'
about:
  description: 'cpanminus is a script to get, unpack, build and install modules from
    CPAN

    and does nothing else.


    It''s dependency free (can bootstrap itself), requires zero configuration,

    and stands alone. When running, it requires only 10MB of RAM.

    '
  dev_url: https://github.com/miyagawa/cpanminus.git
  doc_url: https://metacpan.org/release/MIYAGAWA/App-cpanminus-1.7043
  home: https://metacpan.org/pod/App::cpanminus
  license: GPL-1.0-or-later OR Artistic-1.0-Perl
  license_file: LICENSE
  summary: get, unpack build and install modules from CPAN
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jerowe
    - tdegeus
